unit reportfrm1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBTables, Db, QuickRpt, QRCtrls, ExtCtrls;

type
  TfrmReport1 = class(TForm)
    QuickRep1: TQuickRep;
    DetailBand1: TQRBand;
    QRLabel1: TQRLabel;
    QRLabel2: TQRLabel;
    PageHeaderBand1: TQRBand;
    Table1: TTable;
    Query1: TQuery;
    procedure QuickRep1BeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
    procedure QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
    procedure DetailBand1BeforePrint(Sender: TQRCustomBand;
      var PrintBand: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmReport1: TfrmReport1;
  report_number : integer;

implementation

{$R *.DFM}

procedure TfrmReport1.QuickRep1BeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
     self.table1.open;
     query1.open;
     table1.First;
     report_number := 1;
end;


procedure TfrmReport1.QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
begin
    if report_number = 1 then
    begin
       qrlabel1.Caption := table1.Fieldbyname('common_name').AsString;
       qrlabel2.Caption := table1.Fieldbyname('Species Name').AsString;
       moredata := not table1.Eof;
       if moredata then
            table1.next
       else
            report_number := 2;

    end;
    if report_number = 2 then
    begin
       // could force a new page here, or print a childband to indicate the break
       qrlabel1.Caption := query1.Fieldbyname('common_name').AsString;
       qrlabel2.Caption := query1.Fieldbyname('Species Name').AsString;
       moredata := not query1.Eof;
       if moredata then
            query1.next
    end;
end;

procedure TfrmReport1.DetailBand1BeforePrint(Sender: TQRCustomBand;
  var PrintBand: Boolean);
begin
    if report_number = 2 then
         detailband1.Color := clGray;
end;

end.
